Name:           em8300
Version:        0.16.1
Release:        0%{?dist}
Summary:        DXR3/Hollywood Plus MPEG decoder card support tools

Group:          Applications/System
License:        GPL
URL:            http://dxr3.sourceforge.net/
Source0:        http://downloads.sourceforge.net/dxr3/%{name}-nofirmware-%{version}.tar.gz
Source1:        %{name}.console.perms
Source2:        http://cachalot.mine.nu/src/dxr3/em8300-README-modprobe.conf
Patch0:         http://cachalot.mine.nu/src/dxr3/em8300-adv7170-wss.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
BuildRequires:  desktop-file-utils
Requires:       em8300-kmod >= %{version}
Requires:       udev
Requires:       %{_sysconfdir}/alsa/cards
Requires:       %{_sysconfdir}/security/console.perms.d
Requires(pre):  %{_sbindir}/groupadd
Provides:       em8300-kmod-common = %{version}-%{release}

%description
%{summary}.

%package        utils
Summary:        GUI utilities for DXR3/Hollywood plus MPEG decoder cards
Group:          User Interface/X Hardware Support
Requires:       %{name} = %{version}-%{release}

%description    utils
%{summary}.

%package        devel
Summary:        Development files for DXR3/Hollywood Plus MPEG decoder cards
Group:          Development/Libraries
# Does not require main package on purpose: #189400
Requires:       %{_includedir}/linux

%description    devel
%{summary}.


%prep
%setup -q
%patch0
install -pm 644 %{SOURCE2} README-modprobe.conf
echo "Icon=redhat-sound_video" >> overlay/dxr3view.desktop
sed -i -e 's/microcode_extract.pl/em8300-mc_ex/' scripts/microcode_extract.pl


%build
%configure --disable-dependency-tracking --with-alsa-dir=%{_sysconfdir}/alsa
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

for f in */*.desktop ; do
  desktop-file-install --vendor=fedora --mode=644 \
    --dir=$RPM_BUILD_ROOT%{_datadir}/applications $f
done
install -Dpm 644 dhc/dhc.xpm \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

install -Dpm 644 modules/em8300-udev.rules \
  $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d/60-%{name}.rules

install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.perms.d/60-%{name}.perms

mv $RPM_BUILD_ROOT%{_datadir}/em8300/microcode_extract.pl \
  $RPM_BUILD_ROOT%{_bindir}/em8300-mc_ex


%clean
rm -rf $RPM_BUILD_ROOT


%pre
%{_sbindir}/groupadd -r video 2>/dev/null || :

%post
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :

%postun
gtk-update-icon-cache -qf %{_datadir}/icons/hicolor &>/dev/null || :


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README* modules/README-modoptions
%config(noreplace) %{_sysconfdir}/security/console.perms.d/*-%{name}.perms
%config(noreplace) %{_sysconfdir}/udev/rules.d/*-%{name}.rules
%config(noreplace) %{_sysconfdir}/alsa/cards/EM8300.conf
%{_bindir}/em8300setup
%{_mandir}/man1/em8300setup.1*

%files utils
%defattr(-,root,root,-)
%doc overlay/configs/
%{_bindir}/autocal
%{_bindir}/dhc
%{_bindir}/dxr3view
%{_bindir}/em8300-mc_ex
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/48x48/apps/dhc.xpm

%files devel
%defattr(-,root,root,-)
%{_includedir}/linux/em8300.h
%{_datadir}/em8300/


%changelog
* Thu Mar 15 2007 Ville Skyttä <ville.skytta at iki.fi> - 0.16.1-0
- 0.16.1.

* Sun Nov 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-1
- 0.16.0.
- Drop X-Fedora category from desktop entries.

* Mon Oct  2 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-0.3.rc1
- Rebuild.

* Sat Sep 16 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-0.2.rc1
- Install ALSA config file.
- Clean up no longer needed things from specfile.

* Fri Sep 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.16.0-0.1.rc1
- 0.16.0-rc1.
- Add console.perms snippet, commented out for now due to #206700.

* Tue Jul 11 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.3-4
- Require >= em8300-kmod, not = kmod-em8300 (#189400).
- Move microcode extractor to -utils as em8300-mc_ex (like Debian) (#189400).
- Don't ship microcode_upload.pl, the modules and em8300setup already can
  handle that.

* Sat Apr 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.3-3
- Switch to firmwareless tarball, clean up for FE.

* Sat Apr 15 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.3-2
- Fix group creation.

* Mon Apr 10 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.3-1
- 0.15.3.

* Sun Mar 26 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.3-0.1.rc1
- 0.15.3-rc1.

* Sat Mar 25 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-7.cvs20060325
- CVS snapshot from today, GTK2 patch applied upstream.
- Obsolete more old kernel-module-em8300 packages for recent FC4 kernels.

* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Sat Feb  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.6
- Make udev rules work as expected with newer udev versions.

* Sat Feb  4 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.4
- Split kernel modules into a separate package, adapt to latest FE kernel
  module packaging proposal.

* Sat Jan 21 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.3
- Don't run autoreconf in modules-only builds (#736).

* Fri Jan 13 2006 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.2
- Split GUI utilities into -utils subpackage, build them with GTK2.
- Drop no longer needed -fPIC tweak on x86_64.
- Fix Group tag of main package.

* Thu Nov 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.1
- 0.15.2.
- Make the actual microcode to load a symlink; additional local microcodes
  can now be installed in /lib/firmware, and /lib/firmware/em8300.bin
  symlinked to the one to actually use.

* Sat Nov 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.0.1.rc2
- 0.15.2-rc2, most desktop entry fixups applied upstream.
- Add icon for DXR3view menu entry.

* Sat Nov  5 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.2-0.lvn.0.1.rc1
- 0.15.2-rc1, includes microcode autoload capabilities.
- Include icon for dhc, remove invalid desktop entry categories.
- Update README-modprobe.conf.

* Tue Sep  6 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.1-0.lvn.1
- 0.15.1.

* Wed Aug 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.1-0.lvn.0.1.rc1
- 0.15.1-rc1, drop udev patch.

* Mon Jul 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.5
- Drop libdxr3, nothing uses it and it'll be removed in next upstream release.

* Fri Jul  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.4
- Install modules into extra/em8300.

* Sat Jun 18 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.3
- Use udev rules.d snippet for device permissions.

* Sun Jun 12 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.2
- Add "--with 2612" rpmbuild option to enable building with 2.6.12-pre
  kernels that report themselves as 2.6.11, such as early FC4 ones.

* Wed Jun  1 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.1
- 0.15.0.

* Sun May 29 2005 Thorsten Leemhuis <fedora at leemhuis.info> - 0.15.0-0.lvn.0.15.rc4
- Build userspace with -fPIC on x86_64 to fix build error

* Tue May 24 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.14.rc4
- 0.15.0rc4, memset patch applied upstream.

* Fri May 13 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.13.rc3
- Improve optional rpmbuild options:
  --without modules: do not build the kernel modules
  --without userland: do not build the userland stuff

* Fri Apr 29 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.12.rc3
- 0.15.0.rc3.

* Sun Apr 10 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.12.rc2
- 0.15.0.rc2.
- Drop unused Provides: kernel-module.
- Move video group creation from main to kernel module package(s).

* Sat Apr  2 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.12.cvs20050331
- Add FC4 kernel-devel and new kernel-module-devel compatibility.

* Thu Mar 31 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.11.cvs20050331
- Update to upstream CVS HEAD as of now, many patches applied upstream.

* Sat Mar 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.11.cvs20050326
- Update to upstream CVS HEAD as of now.
- Revert microcode location to upstream default (/usr/share/misc/em8300.uc).

* Tue Mar  8 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.11.cvs20050308
- Update to upstream CVS HEAD as of now.

* Sun Feb 27 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.10.cvs20050227
- Update tarball naming and modprobe.conf README, no upstream changes.

* Mon Feb  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.15.0-0.lvn.0.10.cvs20041117
- Use my pre-rolled/patched tarball.
- Remove unnecessary Epochs.

* Tue Jan 25 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.9.cvs20041117
- URLize patches and extra sources.

* Fri Jan  7 2005 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.8.cvs20041117
- Remove "manual" device node creation, let udev handle all of it.
- Add console.perms README.

* Mon Dec  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.7.cvs20041117
- Apply ADV7170 WSS patch from Seppo Ingalsuo.
- Include upstream ALSA patch, but don't apply it just yet.
- Fix em8300setup usage message.
- Get rid of acconfig.h to appease newer autotools.
- Make "--with(out) kmod" conditional sections smaller in the specfile.

* Sun Dec  5 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.6.cvs20041117
- Create the video group in the correct place.

* Sun Nov 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.5.cvs20041117
- Adjust setup for udev.
- Create/use the video group.
- Avoid creating /usr/include/linux twice during build.

* Wed Nov 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.4.cvs20041117
- Update to 20041117, most patches applied upstream.

* Wed Nov  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.4.cvs20041101
- Update to 20041101 + upstream patches.

* Sat Oct  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.4.cvs20040907
- Fix module directory permissions.

* Mon Sep 13 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.3.cvs20040907
- Install modules into /lib/modules/$uname/updates/em8300.
- Add URL to tarball.

* Sat Sep 11 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.2.cvs20040907
- Reset mode of installed modules to 644.

* Tue Sep  7 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.1.cvs20040907
- Update to 0.15.0.cvs20040907.
- Disable dependency tracking to speed up the build.

* Sun Aug 29 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.1.cvs20040827
- Update to 0.15.0.cvs20040827.

* Fri Jul 30 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.lvn.0.1.cvs20040730
- Reorganize packaging, introduce libdxr3* as real subpackages.
- Add "--without kmod" rpmbuild option for skipping the kernel module build
  and "--with kmod" for building only the kernel modules.
- s/fdr/lvn/ due to non open source microcode.

* Sat Jul  3 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.15.0-0.fdr.0.1.cvs20040702
- Update to 0.15.0.cvs20040702.

* Wed Mar 17 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.14.0-0.fdr.1
- Update to 0.14.0.

* Fri Feb 20 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13.0-0.fdr.3.cvs20040220
- Update to CVS 20040220.

* Mon Feb  9 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13.0-0.fdr.3.cvs20040107
- Update to kmodhelper 0.9.8.

* Sat Jan 31 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13.0-0.fdr.2.cvs20040107
- Drop release from the dependency between the kernel module and main package.
- Update kmodhelper to 0.9.7.
- Use MAKEDEV for creating the device nodes.
- Spec file cleanups.

* Tue Jan  6 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.13.0-0.fdr.1.cvs20040107
- First build.
